diff --git a/src/fakewww.c b/src/fakewww.c
index ecbef7e..93b8202 100644
--- a/src/fakewww.c
+++ b/src/fakewww.c
@@ -340,405 +338,423 @@ void reap(int signo) {
  */
 
 int readline(fd, ptr, maxlen)
-	register int fd;register char *ptr;register int maxlen; {
-	int n, rc;
-	char c;
-
-	for (n = 1; n < maxlen; n++) {
-		if ((rc = read(fd, &c, 1)) == 1) {
-			*ptr++ = c;
-			if (c == '\n')
-				break;
-		} else if (rc == 0) {
-			if (n == 1)
-				return (0); /* EOF, no data read */
-			else
-				break; /* EOF, some data was read */
-		} else
-			return (-1); /* error */
-	}
-
-	*ptr = 0;
-	return (n);
-}
+  register int fd;
+  register char *ptr;
+  register int maxlen; {
+    int n, rc;
+    char c;
+
+    for (n = 1; n < maxlen; n++) {
+      if ((rc = read(fd, &c, 1)) == 1) {
+        *ptr++ = c;
+        if (c == '\n')
+          break;
+      } else if (rc == 0) {
+        if (n == 1)
+          return (0); /* EOF, no data read */
+        else
+          break; /* EOF, some data was read */
+      } else {
+        return (-1); /* error */
+      }
+    }
+
+    *ptr = 0;
+    return (n);
+  }
 
 void trim(char* ptr) {
-	while (*ptr) {
-		if ((*ptr == '\r') || (*ptr == '\n')) {
-			*ptr = 0;
-			break;
-		}
-		ptr++;
-	}
+  while (*ptr) {
+    if ((*ptr == '\r') || (*ptr == '\n')) {
+      *ptr = 0;
+      break;
+    }
+    ptr++;
+  }
 }
 
 void dowww(int sd, I2Addr addr, char* port, char* AcLogFileName,
-		char* ErLogFileName, int fed_mode, int max_ttl) {
-	/* process web request */
-	int fd, n, i, ok;
-	char *p, filename[256], line[256], *ctime();
-	char htmlfile[256];
-	u_int32_t IPlist[64], srv_addr;
+           char* ErLogFileName, int fed_mode, int max_ttl) {
+  /* process web request */
+  int fd, n, i, ok;
+  char *p, filename[256], line[256], *ctime();
+  char htmlfile[256];
+  u_int32_t IPlist[64], srv_addr;
 #ifdef AF_INET6
-	u_int32_t IP6list[64][4];
-	u_int32_t srv_addr6[4];
+  u_int32_t IP6list[64][4];
+  u_int32_t srv_addr6[4];
 #endif
-	I2Addr serv_addr = NULL;
-	I2Addr loc_addr = NULL;
-	time_t tt;
-	char nodename[200];
-	char onenodename[200];
-	size_t nlen = 199;
-	Allowed* ptr;
-	char lineBuf[100];
-	char useragentBuf[100];
-	char refererBuf[100];
-	int answerSize;
-
-	memset(nodename, 0, 200);
-	I2AddrNodeName(addr, nodename, &nlen);
-
-	while ((n = readline(sd, buff, sizeof(buff))) > 0) {
-		if (n < 3)
-			break; /* end of html input */
-		p = (char *) strstr(buff, "GET");
-		if (p == NULL)
-			continue;
-		memset(lineBuf, 0, 100);
-		memset(useragentBuf, 0, 100);
-		memset(refererBuf, 0, 100);
-		strncpy(lineBuf, buff, 99);
-		trim(lineBuf);
-		sscanf(p + 4, "%s", filename);
-		while ((n = readline(sd, buff, sizeof(buff))) > 0) {
-			if ((p = (char *) strstr(buff, "User-Agent"))) {
-				strncpy(useragentBuf, p + 12, 99);
-				trim(useragentBuf);
-			}
-			if ((p = (char *) strstr(buff, "Referer"))) {
-				strncpy(refererBuf, p + 9, 99);
-				trim(refererBuf);
-			}
-			if (n < 3)
-				break; /* end of html input */
-		}
-		if (strcmp(filename, "/") == 0) {
-			/* feed em the default page */
-			/* strcpy(filename, Mypagefile); */
-			/* By default we now send out the redirect page */
-
-			log_println(4, "Received connection from [%s]", nodename);
-
-			if (fed_mode == 1) {
-				struct sockaddr* csaddr;
-				csaddr = I2AddrSAddr(addr, NULL);
-				if (csaddr->sa_family == AF_INET) { /* make the IPv4 find */
-					char ip_str[16];
-					struct sockaddr_in* cli_addr = (struct sockaddr_in*) csaddr;
-					find_route(cli_addr->sin_addr.s_addr, IPlist, max_ttl);
-					for (i = 0; IPlist[i] != cli_addr->sin_addr.s_addr; i++) {
-						snprintf(ip_str, sizeof(ip_str), "%u.%u.%u.%u",
-							 IPlist[i] & 0xff,
-							 (IPlist[i] >> 8) & 0xff,
-							 (IPlist[i] >> 16) & 0xff,
-							 (IPlist[i] >> 24) & 0xff);
-						log_println(4, "loop IPlist[%d] = %s", i, ip_str);
-						if (i == max_ttl) {
-							log_println(4, "Oops, destination not found!");
-							break;
-						}
-					}
-					/* print out last item on list */
-					snprintf(ip_str, sizeof(ip_str), "%u.%u.%u.%u",
-						 IPlist[i] & 0xff,
-						 (IPlist[i] >> 8) & 0xff,
-						 (IPlist[i] >> 16) & 0xff,
-						 (IPlist[i] >> 24) & 0xff);
-					log_println(4, "IPlist[%d] = %s", i, ip_str);
-
-					srv_addr = find_compare(IPlist, i);
-
-					/* the find_compare() routine returns the IP address of the 'closest'
-					 * NDT server.  It does this by comparing the clients address to a
-					 * map of routes between all servers.  If this comparison fails, the
-					 * routine returns 0.  In that case, simply use this server.
-					 */
-					if (srv_addr == 0) {
-						serv_addr = I2AddrByLocalSockFD(get_errhandle(), sd,
-								False);
-						memset(onenodename, 0, 200);
-						nlen = 199;
-						I2AddrNodeName(serv_addr, onenodename, &nlen);
-						log_println(4,
-								"find_compare() returned 0, reset to [%s]",
-								onenodename);
-						srv_addr = ((struct sockaddr_in*) I2AddrSAddr(serv_addr,
-								NULL))->sin_addr.s_addr;
-					}
-
-					log_println(
-							4,
-							"Client host [%s] should be redirected to FLM server [%u.%u.%u.%u]",
-							inet_ntoa(cli_addr->sin_addr), srv_addr & 0xff,
-							(srv_addr >> 8) & 0xff, (srv_addr >> 16) & 0xff,
-							(srv_addr >> 24) & 0xff);
-
-					/* At this point, the srv_addr variable contains the IP address of the
-					 * server we want to re-direct the connect to.  So we should generate a
-					 * new html page, and sent that back to the client.  This new page will
-					 * use the HTML refresh option with a short (2 second) timer to cause the
-					 * client's browser to just to the new server.
-					 * 
-					 * RAC 3/9/04
-					 */
-
-					writen(sd, MsgRedir1, strlen(MsgRedir1));
-					writen(sd, MsgRedir2, strlen(MsgRedir2));
-					snprintf(line, sizeof(line), "http://%u.%u.%u.%u:%s/tcpbw100.html",
-							srv_addr & 0xff, (srv_addr >> 8) & 0xff,
-							(srv_addr >> 16) & 0xff, (srv_addr >> 24) & 0xff,
-							port);
-					writen(sd, line, strlen(line));
-					writen(sd, MsgRedir3, strlen(MsgRedir3));
-					writen(sd, MsgRedir4, strlen(MsgRedir4));
-					answerSize = strlen(MsgRedir4);
-					snprintf(line, sizeof(line), "url=http://%u.%u.%u.%u:%s/tcpbw100.html",
-							srv_addr & 0xff, (srv_addr >> 8) & 0xff,
-							(srv_addr >> 16) & 0xff, (srv_addr >> 24) & 0xff,
-							port);
-					writen(sd, line, strlen(line));
-					answerSize += strlen(line);
-					writen(sd, MsgRedir5, strlen(MsgRedir5));
-					answerSize += strlen(MsgRedir5);
-					snprintf(line, sizeof(line), "href=\"http://%u.%u.%u.%u:%s/tcpbw100.html\"",
-							srv_addr & 0xff, (srv_addr >> 8) & 0xff,
-							(srv_addr >> 16) & 0xff, (srv_addr >> 24) & 0xff,
-							port);
-					writen(sd, line, strlen(line));
-					answerSize += strlen(line);
-					writen(sd, MsgRedir6, strlen(MsgRedir6));
-					answerSize += strlen(MsgRedir6);
-					log_println(3,
-							"%s redirected to remote server [%u.%u.%u.%u:%s]",
-							inet_ntoa(cli_addr->sin_addr), srv_addr & 0xff,
-							(srv_addr >> 8) & 0xff, (srv_addr >> 16) & 0xff,
-							(srv_addr >> 24) & 0xff, port);
-					tt = time(0);
-					logErLog(ErLogFileName, &tt, "notice",
-							"[%s] redirected to remote server [%u.%u.%u.%u:%s]",
-							inet_ntoa(cli_addr->sin_addr), srv_addr & 0xff,
-							(srv_addr >> 8) & 0xff, (srv_addr >> 16) & 0xff,
-							(srv_addr >> 24) & 0xff, port);
-					logAcLog(AcLogFileName, &tt, inet_ntoa(cli_addr->sin_addr),
-							lineBuf, 307, answerSize, useragentBuf, refererBuf);
-					break;
-				}
+  I2Addr serv_addr = NULL;
+  I2Addr loc_addr = NULL;
+  time_t tt;
+  char nodename[200];
+  char onenodename[200];
+  size_t nlen = 199;
+  Allowed* ptr;
+  char lineBuf[100];
+  char useragentBuf[100];
+  char refererBuf[100];
+  int answerSize;
+
+  memset(nodename, 0, 200);
+  I2AddrNodeName(addr, nodename, &nlen);
+
+  while ((n = readline(sd, buff, sizeof(buff))) > 0) {
+    if (n < 3)
+      break; /* end of html input */
+    p = (char *) strstr(buff, "GET");
+    if (p == NULL)
+      continue;
+    memset(lineBuf, 0, 100);
+    memset(useragentBuf, 0, 100);
+    memset(refererBuf, 0, 100);
+    strncpy(lineBuf, buff, 99);
+    trim(lineBuf);
+    sscanf(p + 4, "%s", filename);
+    while ((n = readline(sd, buff, sizeof(buff))) > 0) {
+      if ((p = (char *) strstr(buff, "User-Agent"))) {
+        strncpy(useragentBuf, p + 12, 99);
+        trim(useragentBuf);
+      }
+      if ((p = (char *) strstr(buff, "Referer"))) {
+        strncpy(refererBuf, p + 9, 99);
+        trim(refererBuf);
+      }
+      if (n < 3)
+        break; /* end of html input */
+    }
+    if (strcmp(filename, "/") == 0) {
+      /* feed em the default page */
+      /* strcpy(filename, Mypagefile); */
+      /* By default we now send out the redirect page */
+
+      log_println(4, "Received connection from [%s]", nodename);
+
+      if (fed_mode == 1) {
+        struct sockaddr* csaddr;
+        csaddr = I2AddrSAddr(addr, NULL);
+        if (csaddr->sa_family == AF_INET) { /* make the IPv4 find */
+          char ip_str[16];
+          struct sockaddr_in* cli_addr = (struct sockaddr_in*) csaddr;
+          find_route(cli_addr->sin_addr.s_addr, IPlist, max_ttl);
+          for (i = 0; IPlist[i] != cli_addr->sin_addr.s_addr; i++) {
+            snprintf(ip_str, sizeof(ip_str), "%u.%u.%u.%u",
+                     IPlist[i] & 0xff,
+                     (IPlist[i] >> 8) & 0xff,
+                     (IPlist[i] >> 16) & 0xff,
+                     (IPlist[i] >> 24) & 0xff);
+            log_println(4, "loop IPlist[%d] = %s", i, ip_str);
+            if (i == max_ttl) {
+              log_println(4, "Oops, destination not found!");
+              break;
+            }
+          }
+          /* print out last item on list */
+          snprintf(ip_str, sizeof(ip_str), "%u.%u.%u.%u",
+                   IPlist[i] & 0xff,
+                   (IPlist[i] >> 8) & 0xff,
+                   (IPlist[i] >> 16) & 0xff,
+                   (IPlist[i] >> 24) & 0xff);
+          log_println(4, "IPlist[%d] = %s", i, ip_str);
+
+          srv_addr = find_compare(IPlist, i);
+
+          /* the find_compare() routine returns the IP address of the 'closest'
+           * NDT server.  It does this by comparing the clients address to a
+           * map of routes between all servers.  If this comparison fails, the
+           * routine returns 0.  In that case, simply use this server.
+           */
+          if (srv_addr == 0) {
+            serv_addr = I2AddrByLocalSockFD(get_errhandle(), sd,
+                                            False);
+            memset(onenodename, 0, 200);
+            nlen = 199;
+            I2AddrNodeName(serv_addr, onenodename, &nlen);
+            log_println(4,
+                        "find_compare() returned 0, reset to [%s]",
+                        onenodename);
+            srv_addr =
+                ((struct sockaddr_in*) I2AddrSAddr(serv_addr, NULL))->
+                    sin_addr.s_addr;
+          }
+
+          log_println(4,
+                      "Client host [%s] should be redirected to FLM server "
+                      "[%u.%u.%u.%u]", inet_ntoa(cli_addr->sin_addr),
+                      srv_addr & 0xff, (srv_addr >> 8) & 0xff,
+                      (srv_addr >> 16) & 0xff, (srv_addr >> 24) & 0xff);
+
+          /* At this point, the srv_addr variable contains the IP address of the
+           * server we want to re-direct the connect to.  So we should generate a
+           * new html page, and sent that back to the client.  This new page will
+           * use the HTML refresh option with a short (2 second) timer to cause the
+           * client's browser to just to the new server.
+           * 
+           * RAC 3/9/04
+           */
+
+          writen(sd, MsgRedir1, strlen(MsgRedir1));
+          writen(sd, MsgRedir2, strlen(MsgRedir2));
+          snprintf(line, sizeof(line), "http://%u.%u.%u.%u:%s/tcpbw100.html",
+                   srv_addr & 0xff, (srv_addr >> 8) & 0xff,
+                   (srv_addr >> 16) & 0xff, (srv_addr >> 24) & 0xff,
+                   port);
+          writen(sd, line, strlen(line));
+          writen(sd, MsgRedir3, strlen(MsgRedir3));
+          writen(sd, MsgRedir4, strlen(MsgRedir4));
+          answerSize = strlen(MsgRedir4);
+          snprintf(line, sizeof(line),
+                   "url=http://%u.%u.%u.%u:%s/tcpbw100.html",
+                   srv_addr & 0xff, (srv_addr >> 8) & 0xff,
+                   (srv_addr >> 16) & 0xff, (srv_addr >> 24) & 0xff,
+                   port);
+          writen(sd, line, strlen(line));
+          answerSize += strlen(line);
+          writen(sd, MsgRedir5, strlen(MsgRedir5));
+          answerSize += strlen(MsgRedir5);
+          snprintf(line, sizeof(line),
+                   "href=\"http://%u.%u.%u.%u:%s/tcpbw100.html\"",
+                   srv_addr & 0xff, (srv_addr >> 8) & 0xff,
+                   (srv_addr >> 16) & 0xff, (srv_addr >> 24) & 0xff,
+                   port);
+          writen(sd, line, strlen(line));
+          answerSize += strlen(line);
+          writen(sd, MsgRedir6, strlen(MsgRedir6));
+          answerSize += strlen(MsgRedir6);
+          log_println(3,
+                      "%s redirected to remote server [%u.%u.%u.%u:%s]",
+                      inet_ntoa(cli_addr->sin_addr), srv_addr & 0xff,
+                      (srv_addr >> 8) & 0xff, (srv_addr >> 16) & 0xff,
+                      (srv_addr >> 24) & 0xff, port);
+          tt = time(0);
+          logErLog(ErLogFileName, &tt, "notice",
+                   "[%s] redirected to remote server [%u.%u.%u.%u:%s]",
+                   inet_ntoa(cli_addr->sin_addr), srv_addr & 0xff,
+                   (srv_addr >> 8) & 0xff, (srv_addr >> 16) & 0xff,
+                   (srv_addr >> 24) & 0xff, port);
+          logAcLog(AcLogFileName, &tt, inet_ntoa(cli_addr->sin_addr),
+                   lineBuf, 307, answerSize, useragentBuf, refererBuf);
+          break;
+        }
 #ifdef AF_INET6
-				else if (csaddr->sa_family == AF_INET6) {
-					struct sockaddr_in6* cli_addr = (struct sockaddr_in6*) csaddr;
-					socklen_t onenode_len;
-					find_route6(nodename, IP6list, max_ttl);
-					for (i = 0; memcmp(IP6list[i], &cli_addr->sin6_addr, sizeof(cli_addr->sin6_addr)); i++) {
-						memset(onenodename, 0, 200);
-						onenode_len = 199;
-						inet_ntop(AF_INET6, (void *) IP6list[i], onenodename, onenode_len);
-						log_println(4, "loop IP6list[%d], = %s", i, onenodename);
-						if (i == max_ttl) {
-							log_println(4, "Oops, destination not found!");
-							break;
-						}
-					}
-					/* print out last item on list */
-
-					if (get_debuglvl() > 3) {
-						memset(onenodename, 0, 200);
-						onenode_len = 199;
-						inet_ntop(AF_INET6, (void *) IP6list[i], onenodename, onenode_len);
-						log_println(4, "IP6list[%d] = %s", i, onenodename);
-					}
-
-					srv_addr = find_compare6(srv_addr6, IP6list, i);
-					if (srv_addr == 0) {
-						serv_addr = I2AddrByLocalSockFD(get_errhandle(), sd, False);
-						memset(onenodename, 0, 200);
-						nlen = 199;
-						I2AddrNodeName(serv_addr, onenodename, &nlen);
-						log_println(4, "find_compare6() returned 0, reset to [%s]", onenodename);
-						memcpy(srv_addr6, &((struct sockaddr_in6*)I2AddrSAddr(serv_addr, NULL))->sin6_addr, 16);
-					}
-
-					nlen = 199;
-					memset(onenodename, 0, 200);
-					inet_ntop(AF_INET6, (void *) srv_addr6, onenodename, nlen);
-
-					log_println(4, "Client host [%s] should be redirected to FLM server [%s]",
-							nodename, onenodename);
-
-					writen(sd, MsgRedir1, strlen(MsgRedir1));
-					writen(sd, MsgRedir2, strlen(MsgRedir2));
-					snprintf(line, sizeof(line), "http://[%s]:%s/tcpbw100.html", onenodename, port);
-					writen(sd, line, strlen(line));
-					writen(sd, MsgRedir3, strlen(MsgRedir3));
-					writen(sd, MsgRedir4, strlen(MsgRedir4));
-					answerSize = strlen(MsgRedir4);
-					snprintf(line, sizeof(line), "url=http://[%s]:%s/tcpbw100.html", onenodename, port);
-					writen(sd, line, strlen(line));
-					answerSize += strlen(line);
-					writen(sd, MsgRedir5, strlen(MsgRedir5));
-					answerSize += strlen(MsgRedir5);
-					snprintf(line, sizeof(line), "href=\"http://[%s]:%s/tcpbw100.html\"", onenodename, port);
-					writen(sd, line, strlen(line));
-					answerSize += strlen(line);
-					writen(sd, MsgRedir6, strlen(MsgRedir6));
-					answerSize += strlen(MsgRedir6);
-					log_println(3, "%s redirected to remote server [[%s]:%s]", nodename, onenodename, port);
-					tt = time(0);
-					logErLog(ErLogFileName, &tt, "notice", "[%s] redirected to remote server [[%s]:%s]",
-							nodename, onenodename, port);
-					logAcLog(AcLogFileName, &tt, nodename, lineBuf, 307, answerSize,
-							useragentBuf, refererBuf);
-					break;
-				}
+        else if (csaddr->sa_family == AF_INET6) {
+          struct sockaddr_in6* cli_addr = (struct sockaddr_in6*) csaddr;
+          socklen_t onenode_len;
+          find_route6(nodename, IP6list, max_ttl);
+          for (i = 0;
+               memcmp(IP6list[i], &cli_addr->sin6_addr,
+                      sizeof(cli_addr->sin6_addr));
+               i++) {
+            memset(onenodename, 0, 200);
+            onenode_len = 199;
+            inet_ntop(AF_INET6, (void *) IP6list[i], onenodename, onenode_len);
+            log_println(4, "loop IP6list[%d], = %s", i, onenodename);
+            if (i == max_ttl) {
+              log_println(4, "Oops, destination not found!");
+              break;
+            }
+          }
+          /* print out last item on list */
+
+          if (get_debuglvl() > 3) {
+            memset(onenodename, 0, 200);
+            onenode_len = 199;
+            inet_ntop(AF_INET6, (void *) IP6list[i], onenodename, onenode_len);
+            log_println(4, "IP6list[%d] = %s", i, onenodename);
+          }
+
+          srv_addr = find_compare6(srv_addr6, IP6list, i);
+          if (srv_addr == 0) {
+            serv_addr = I2AddrByLocalSockFD(get_errhandle(), sd, False);
+            memset(onenodename, 0, 200);
+            nlen = 199;
+            I2AddrNodeName(serv_addr, onenodename, &nlen);
+            log_println(4, "find_compare6() returned 0, reset to [%s]",
+                        onenodename);
+            memcpy(srv_addr6,
+                   ((struct sockaddr_in6*)(&I2AddrSAddr(serv_addr, NULL)))->
+                       sin6_addr,
+                   16);
+          }
+
+          nlen = 199;
+          memset(onenodename, 0, 200);
+          inet_ntop(AF_INET6, (void *) srv_addr6, onenodename, nlen);
+
+          log_println(4, "Client host [%s] should be redirected to FLM server "
+                      "[%s]", nodename, onenodename);
+
+          writen(sd, MsgRedir1, strlen(MsgRedir1));
+          writen(sd, MsgRedir2, strlen(MsgRedir2));
+          snprintf(line, sizeof(line), "http://[%s]:%s/tcpbw100.html",
+                   onenodename, port);
+          writen(sd, line, strlen(line));
+          writen(sd, MsgRedir3, strlen(MsgRedir3));
+          writen(sd, MsgRedir4, strlen(MsgRedir4));
+          answerSize = strlen(MsgRedir4);
+          snprintf(line, sizeof(line), "url=http://[%s]:%s/tcpbw100.html",
+                   onenodename, port);
+          writen(sd, line, strlen(line));
+          answerSize += strlen(line);
+          writen(sd, MsgRedir5, strlen(MsgRedir5));
+          answerSize += strlen(MsgRedir5);
+          snprintf(line, sizeof(line), "href=\"http://[%s]:%s/tcpbw100.html\"",
+                   onenodename, port);
+          writen(sd, line, strlen(line));
+          answerSize += strlen(line);
+          writen(sd, MsgRedir6, strlen(MsgRedir6));
+          answerSize += strlen(MsgRedir6);
+          log_println(3, "%s redirected to remote server [[%s]:%s]", nodename,
+                      onenodename, port);
+          tt = time(0);
+          logErLog(ErLogFileName, &tt, "notice",
+                   "[%s] redirected to remote server [[%s]:%s]",
+                   nodename, onenodename, port);
+          logAcLog(AcLogFileName, &tt, nodename, lineBuf, 307, answerSize,
+                   useragentBuf, refererBuf);
+          break;
+        }
 #endif
-			}
-		}
-
-		/* try to open and give em what they want */
-		tt = time(0);
-		ok = 0;
-		if (strcmp(filename, "/") == 0)
-			strncpy(filename, "/tcpbw100.html", 15);
-		for (i = 0; okfile[i]; i++) {
-			/* restrict file access */
-			if (strcmp(okfile[i], filename) == 0) {
-				ok = 1;
-				break;
-			}
-		}
-		if (ok == 0) {
-			ptr = a_root;
-			while (ptr != NULL) {
-				if (strcmp(ptr->filename, filename) == 0) {
-					ok = 2;
-					break;
-				}
-				ptr = ptr->next;
-			}
-		}
-		log_print(3, "%15.15s [%s] requested file '%s' - ", ctime(&tt) + 4,
-				nodename, filename);
-		if (ok == 0) {
-			writen(sd, MsgNope1, strlen(MsgNope1));
-			writen(sd, MsgNope2, strlen(MsgNope2));
-			answerSize = strlen(MsgNope2);
-			log_println(3, "access denied");
-			logAcLog(AcLogFileName, &tt, nodename, lineBuf, 403, answerSize,
-					useragentBuf, refererBuf);
-			logErLog(ErLogFileName, &tt, "error",
-					"[client %s] Permission denied: path not allowed: %s",
-					nodename, filename);
-			if (usesyslog == 1)
-				syslog(LOG_FACILITY | LOG_WARNING,
-						"[client %s] Permission denied: path not allowed: %s",
-						nodename, filename);
-			break;
-		}
-		snprintf(htmlfile, sizeof(htmlfile), "%s/%s", basedir, filename + 1);
-		fd = open(htmlfile, 0); /* open file for read */
-		if (fd < 0) {
-			close(fd);
-			writen(sd, MsgNope1, strlen(MsgNope1));
-			writen(sd, MsgNope2, strlen(MsgNope2));
-			answerSize = strlen(MsgNope2);
-			log_println(3, " not found");
-			logAcLog(AcLogFileName, &tt, nodename, lineBuf, 404, answerSize,
-					useragentBuf, refererBuf);
-			logErLog(ErLogFileName, &tt, "error",
-					"[client %s] File does not exist: %s", nodename, filename);
-			if (usesyslog == 1)
-				syslog(LOG_FACILITY | LOG_WARNING,
-						"[client %s] File does not exist: %s", nodename,
-						filename);
-			break;
-		}
-		if (ok == 1) {
-			log_println(3, "sent to client");
-		} else {
-			log_println(3, "sent to client [A]");
-		}
-
-		/* reply: */
-
-		/* RAC
-		 * run Les Cottrell's traceroute program
-		 */
-		if (strncmp(htmlfile, "/usr/local/ndt/traceroute.pl", 28) == 0) {
-			loc_addr = I2AddrByLocalSockFD(get_errhandle(), sd, False);
-			memset(onenodename, 0, 200);
-			nlen = 199;
-			I2AddrNodeName(loc_addr, onenodename, &nlen);
-
-			setenv("QUERY_STRING", nodename, 1);
-			setenv("SERVER_NAME", onenodename, 1);
-			setenv("REMOTE_HOST", nodename, 1);
-			setenv("REMOTE_ADDR", "207.75.164.153", 1);
-			system("/usr/bin/perl /usr/local/ndt/traceroute.pl > /tmp/rac-traceroute.pl");
-			close(fd);
-			fd = open("/tmp/rac-traceroute.pl", 0);
-		}
-
-		writen(sd, MsgOK, strlen(MsgOK));
-		answerSize = 0;
-		while ((n = read(fd, buff, sizeof(buff))) > 0) {
-			writen(sd, buff, n);
-			answerSize += n;
-		}
-		logAcLog(AcLogFileName, &tt, nodename, lineBuf, 200, answerSize,
-				useragentBuf, refererBuf);
-		close(fd);
-		break;
-	}
-	close(sd);
+      }
+    }
+
+    /* try to open and give em what they want */
+    tt = time(0);
+    ok = 0;
+    if (strcmp(filename, "/") == 0)
+      strncpy(filename, "/tcpbw100.html", 15);
+    for (i = 0; okfile[i]; i++) {
+      /* restrict file access */
+      if (strcmp(okfile[i], filename) == 0) {
+        ok = 1;
+        break;
+      }
+    }
+    if (ok == 0) {
+      ptr = a_root;
+      while (ptr != NULL) {
+        if (strcmp(ptr->filename, filename) == 0) {
+          ok = 2;
+          break;
+        }
+        ptr = ptr->next;
+      }
+    }
+    log_print(3, "%15.15s [%s] requested file '%s' - ", ctime(&tt) + 4,
+              nodename, filename);
+    if (ok == 0) {
+      writen(sd, MsgNope1, strlen(MsgNope1));
+      writen(sd, MsgNope2, strlen(MsgNope2));
+      answerSize = strlen(MsgNope2);
+      log_println(3, "access denied");
+      logAcLog(AcLogFileName, &tt, nodename, lineBuf, 403, answerSize,
+               useragentBuf, refererBuf);
+      logErLog(ErLogFileName, &tt, "error",
+               "[client %s] Permission denied: path not allowed: %s",
+               nodename, filename);
+      if (usesyslog == 1)
+        syslog(LOG_FACILITY | LOG_WARNING,
+               "[client %s] Permission denied: path not allowed: %s",
+               nodename, filename);
+      break;
+    }
+    snprintf(htmlfile, sizeof(htmlfile), "%s/%s", basedir, filename + 1);
+    fd = open(htmlfile, 0); /* open file for read */
+    if (fd < 0) {
+      close(fd);
+      writen(sd, MsgNope1, strlen(MsgNope1));
+      writen(sd, MsgNope2, strlen(MsgNope2));
+      answerSize = strlen(MsgNope2);
+      log_println(3, " not found");
+      logAcLog(AcLogFileName, &tt, nodename, lineBuf, 404, answerSize,
+               useragentBuf, refererBuf);
+      logErLog(ErLogFileName, &tt, "error",
+               "[client %s] File does not exist: %s", nodename, filename);
+      if (usesyslog == 1)
+        syslog(LOG_FACILITY | LOG_WARNING,
+               "[client %s] File does not exist: %s", nodename,
+               filename);
+      break;
+    }
+    if (ok == 1) {
+      log_println(3, "sent to client");
+    } else {
+      log_println(3, "sent to client [A]");
+    }
+
+    /* reply: */
+
+    /* RAC
+     * run Les Cottrell's traceroute program
+     */
+    if (strncmp(htmlfile, "/usr/local/ndt/traceroute.pl", 28) == 0) {
+      loc_addr = I2AddrByLocalSockFD(get_errhandle(), sd, False);
+      memset(onenodename, 0, 200);
+      nlen = 199;
+      I2AddrNodeName(loc_addr, onenodename, &nlen);
+
+      setenv("QUERY_STRING", nodename, 1);
+      setenv("SERVER_NAME", onenodename, 1);
+      setenv("REMOTE_HOST", nodename, 1);
+      setenv("REMOTE_ADDR", "207.75.164.153", 1);
+      system("/usr/bin/perl /usr/local/ndt/traceroute.pl > "
+             "/tmp/rac-traceroute.pl");
+      close(fd);
+      fd = open("/tmp/rac-traceroute.pl", 0);
+    }
+
+    writen(sd, MsgOK, strlen(MsgOK));
+    answerSize = 0;
+    while ((n = read(fd, buff, sizeof(buff))) > 0) {
+      writen(sd, buff, n);
+      answerSize += n;
+    }
+    logAcLog(AcLogFileName, &tt, nodename, lineBuf, 200, answerSize,
+             useragentBuf, refererBuf);
+    close(fd);
+    break;
+  }
+  close(sd);
 }
 
 char*
 getTime(time_t* tt, char* format) {
-	static char timeBuf[100];
+  static char timeBuf[100];
 
-	if (strftime(timeBuf, 99, format, localtime(tt))) {
-		return timeBuf;
-	} else {
-		return (ctime(tt) + 4);
-	}
+  if (strftime(timeBuf, 99, format, localtime(tt))) {
+    return timeBuf;
+  } else {
+    return (ctime(tt) + 4);
+  }
 }
 
-void logErLog(char* LogFileName, time_t* tt, char* severity, char* format, ...)
-{
-	FILE *fp;
-	va_list ap;
-	if (LogFileName != NULL) {
-		fp = fopen(LogFileName, "a");
-		if (fp != NULL) {
-			fprintf(fp, "[%s] [%s] ", getTime(tt, er_time_format), severity);
-			va_start(ap, format);
-			vfprintf(fp, format, ap);
-			va_end(ap);
-			fprintf(fp, "\n");
-			fclose(fp);
-		}
-	}
+void logErLog(char* LogFileName, time_t* tt, char* severity,
+              char* format, ...) {
+  FILE *fp;
+  va_list ap;
+  if (LogFileName != NULL) {
+    fp = fopen(LogFileName, "a");
+    if (fp != NULL) {
+      fprintf(fp, "[%s] [%s] ", getTime(tt, er_time_format), severity);
+      va_start(ap, format);
+      vfprintf(fp, format, ap);
+      va_end(ap);
+      fprintf(fp, "\n");
+      fclose(fp);
+    }
+  }
 }
 
 void logAcLog(char* LogFileName, time_t* tt, char* host, char* line, int res,
-		int size, char* agent, char* referer) {
-	FILE * fp;
-	if (LogFileName != NULL) {
-		fp = fopen(LogFileName, "a");
-		if (fp != NULL) {
-			fprintf(fp, "%s - - [%s] \"%s\" %d %d \"%s\" \"%s\"\n", host,
-					getTime(tt, ac_time_format), line, res, size, agent,
-					referer);
-			fclose(fp);
-		}
-	}
+              int size, char* agent, char* referer) {
+  FILE * fp;
+  if (LogFileName != NULL) {
+    fp = fopen(LogFileName, "a");
+    if (fp != NULL) {
+      fprintf(fp, "%s - - [%s] \"%s\" %d %d \"%s\" \"%s\"\n", host,
+              getTime(tt, ac_time_format), line, res, size, agent,
+              referer);
+      fclose(fp);
+    }
+  }
 }
